compute

GET /v1/compute/servers/{serverId}/snapshots

List a server's on-demand disk images.

Semua titik akhir compute

Autentikasi

Kirim kunci API sebagai token bearer. Kunci tersebut harus memiliki izin sites.view; kunci tanpa izin tersebut akan ditolak dengan status 403, bukan 404.

Endpoint ini tidak memerlukan id organisasi. Kunci Anda telah mengidentifikasi organisasi tempatnya berafiliasi, dan respons akan dibatasi untuk organisasi tersebut.

Coba

Ganti apa pun di dalam tanda kurung sudut dengan nilai Anda sendiri, dan placeholder kunci dengan kunci dari dasbor Anda.

curl -X GET https://api.zinndigital.com/v1/compute/servers/{serverId}/snapshots \
  -H "Authorization: Bearer zdk_live_…"

Sudah masuk? Konsol API di dasbor Anda akan mengisi ID organisasi asli dan kunci Anda sendiri, serta menjalankan permintaan terhadap API langsung sehingga Anda dapat melihat respons aktualnya. Buka titik akhir ini di konsol API

Detail

Every snapshot taken from this machine, newest first. ⛔ Scoped to the machine by the image's `created_from`, because at the provider a snapshot is **not bound** to the server it came from — an unscoped listing would show one customer the whole account's snapshots. Requires `sites.view`.

Parameter

NamaJenisWajibTentang apa ini
serverId (path)UuidYaThe server's id, as `listComputeServers` reports it. **Ours** (UUIDv7), minted when the order row was written — never the provider's own identifier for the machine.

Tanggapan

NamaJenisWajibTentang apa ini
dataComputeServerSnapshot[]Ya

Kesalahan yang dapat dikembalikan oleh titik akhir ini

401 · 403 · 404 · 422 · 429 · 503